package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Carlos Janitzio Zavala Lopez.
 */
public enum ServiceOrderActionType {
    CREATED("Creada") {
        @Override
        public String toString() {
            return "CREATED";
        }
    }, APPROVED("Aprobada") {
        @Override
        public String toString() {
            return "APPROVED";
        }
    }, PROGRESS("En Progreso") {
        @Override
        public String toString() {
            return "PROGRESS";
        }
    }, FINISHED("Terminada") {
        @Override
        public String toString() {
            return "FINISHED";
        }
    }, REJECTED("Rechazada") {
        @Override
        public String toString() {
            return "REJECTED";
        }
    },PAYED("Pagado") {
        @Override
        public String toString() {
            return "PAYED";
        }
    };

    private final String serviceOrder;

    private ServiceOrderActionType(String serviceOrder) {
        this.serviceOrder = serviceOrder;
    }

    public String getServiceOrder() {
        return serviceOrder;
    }
}
